
QGIS Application - Bug report #19899

very unstable installation of QGIS 3.2.3 on Windows 7 Machine

2018-09-19 10:57 PM - Rob Willson

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27723

Description

I have a version installed on a colleague's computer (Windows 7, 64 bit) where I can trigger a crash with almost any action, including just

clicking on Check QGIS version that is the error report below

This machine formerly had QGIS 2 on it but I completely uninstalled, removed folders, and removed entries in registry (have done this

multiple times but still incredibly unstable). Several of our users have the same issue with Windows 7 computers that formerly had QGIS 2

installed and formerly  working.

I am hoping there is something in the crash report that would help

User Feedback

Report Details

Crash ID: 8d0cdee6af72ede5688d03fb06974f98f3a99ca2

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

2024-04-23 1/3



Ordinal865 :

QCommonStyle::standardIcon :

QProxyStyle::qt_metacall :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QMessageBox::standardIcon :

QMessageBox::QMessageBox :

QgisApp::versionReplyFinished :

QMetaObject::activate :

QMetaObject::activate :

QNetworkReply::url :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-20 12:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Try a regsitry cleanup for all QGIS entries, also on QGIS 3 use a new/clean profile.

#2 - 2018-09-20 05:58 PM - Rob Willson

that is what I thought would work as well and tried those steps at least twice with no luck. That is I followed the steps below in addition to telling QGIS 3

that I wanted a clean start

Steps to uninstall OSGeo Uninstall of QGIS
1. Run osgeo4w-setup-x86.exe (same .exe you ran to install the app), choose Advanced Install option

3. Select take all defaults under Select Packages under Category "All Default" click on "Default" two times to change to "Uninstall" and run

4. Next, in Computer delete this directory: C:\OSGeo4W

5. Delete any Start menu> shortcut icons or folders and desktop icons - optional

6. if Q2 was installed then delete folder here C:\Users\yourUserName.qgis2\

  1. delete the .qgis2 directory. 

7. if you had installed Q3 then QGIS folder to delete is at C:\Users\yourname\AppData\Roaming

1. use regedit to backup registry first

  2. delete Registry Settings: located at >

HKEY_CURRENT_USER\Software\QGIS

so delete the QGIS folder in the registry at the address above |

#3 - 2018-09-20 09:35 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-09-23 02:50 PM - Jürgen Fischer

- Related to Bug report #19759: crash in browser added

#5 - 2018-09-23 03:48 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#6 - 2018-09-23 03:48 PM - Jürgen Fischer

- Related to deleted (Bug report #19759: crash in browser)

#7 - 2018-09-23 03:48 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

2024-04-23 3/3


